Class | Fog::Compute::AWS::InternetGateway
In: | lib/fog/aws/models/compute/internet_gateway.rb
Parent: | Fog::Model

### Methods

attach destroy detach new save

### Public Class methods

new(attributes={})

### Public Instance methods

attach(vpc_id)

Attaches an existing internet gateway

internet_gateway.attach(igw-id, vpc-id)

#### Returns

True or false depending on the result

destroy()

Removes an existing internet gateway

internet_gateway.destroy

#### Returns

True or false depending on the result

detach(vpc_id)

Detaches an existing internet gateway

internet_gateway.detach(igw-id, vpc-id)

#### Returns

True or false depending on the result

save()

Create an internet gateway

     >> g = AWS.internet_gateways.new()
     >> g.save

## Returns:

requestId and a internetGateway object

[Validate]